< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs10x
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs10x
- AC13
- AC15
- AC16
- AC17
- AC24
- AC25
- AC8021
- AC8023
- AC8033
- AC8051
- AC8052
- AC8053
- AC8054
- AC8081
- AC8082
- AC8083
- AC8088
- AC8089
- AC8899
- ACQ8003
- ACQ8009
- ACQ8161
- ACQ8989
- ACQ8990
- ACQ8991
- ACQ8999
- Director
- Directors
- NotTradedStatementRequired
- ProfitAndLossStatementRequired

c

uk.gov.hmrc.ct.accounts.frs10x.boxes

# AC24 

###

#### case class AC24(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with CovidProfitAndLossValidationHelper[Frs10xAccountsBoxRetriever] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CovidProfitAndLossValidationHelper[Frs10xAccountsBoxRetriever], TurnoverValidation, ValidatableBox[Frs10xAccountsBoxRetriever with FilingAttributesBoxValueRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC24
2. Serializable
3. Serializable
4. Product
5. Equals
6. CovidProfitAndLossValidationHelper
7. TurnoverValidation
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalInteger
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC24(value: Option[Int])

### Type Members

1.  type Box = CtBoxIdentifier with CtOptionalInteger
   Definition Classes
     CovidProfitAndLossValidationHelper
2.  type BoxRetriever = Frs10xAccountsBoxRetriever with FilingAttributesBoxValueRetriever
   Definition Classes
     CovidProfitAndLossValidationHelper
3.  type Frs10xBoxRetriever = Frs10xAccountsBoxRetriever with FilingAttributesBoxValueRetriever
   Definition Classes
     CovidProfitAndLossValidationHelper

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  val ac12Id: String
   Definition Classes
     CovidProfitAndLossValidationHelper
7.  val ac16Id: String
   Definition Classes
     CovidProfitAndLossValidationHelper
8.  val accountEnd: (AccountsBoxRetriever) ⇒ AC4
   Definition Classes
     CovidProfitAndLossValidationHelper
9.  val accountsStart: (AccountsBoxRetriever) ⇒ AC3
   Definition Classes
     CovidProfitAndLossValidationHelper
10.  def asBoxString: Option[String]
    Definition Classes
      CtValue
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def asInt: Option[Int]
    Definition Classes
      CtOptionalInteger
13.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
14.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
15.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
16.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
17.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
18.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
19.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED, errorMsg: String = "exceeds.max")(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
24.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
25.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
26.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def getCorrectBox(boxRetriever: BoxRetriever): Box
    Definition Classes
      CovidProfitAndLossValidationHelper
28.  def getDaysInYear[BR <: box.retriever.BoxRetriever](boxRetriever: BR, start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate): Int
    Attributes
      protected
    Definition Classes
      TurnoverValidation
29.  val grossProfitOrLoss: (Frs10xAccountsBoxRetriever) ⇒ AC16
    Definition Classes
      AC24 → CovidProfitAndLossValidationHelper
30.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
31.  def id: String
    Definition Classes
      CtBoxIdentifier
32.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
33.  def isFRS10x(boxRetriever: AccountsBoxRetriever): Boolean
    Attributes
      protected
    Definition Classes
      TurnoverValidation
34.  def isFrs10xHmrcAbridgedReturnWithLongPoA[BR <: AccountsBoxRetriever with FilingAttributesBoxValueRetriever](start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate)(boxRetriever: BR): Boolean
    Attributes
      protected
    Definition Classes
      TurnoverValidation
35.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
36.  def isPositive: Boolean
    Definition Classes
      CtOptionalInteger
37.  def minus(other: Int): Int
    Definition Classes
      CtOptionalInteger
38.  def minus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
39.  def minus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
40.  val name: String
    Definition Classes
      CtBoxIdentifier
41.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
43.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
44.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
45.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
46.  def orZero: Int
    Definition Classes
      CtOptionalInteger
47.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
48.  def plus(other: Int): Int
    Definition Classes
      CtOptionalInteger
49.  def plus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
50.  def plus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
51.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
52.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
53.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
54.  def shortenedValidateCohoTurnover(boxRetriever: BoxRetriever, box: Box, boxId: String): Set[CtValidation]
    Definition Classes
      CovidProfitAndLossValidationHelper
55.  def shortenedValidateHmrcTurnover(boxRetriever: BoxRetriever, box: Box, boxId: String, minimumAmount: Option[Int] = None): Set[CtValidation]
    Definition Classes
      CovidProfitAndLossValidationHelper
56.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
57.  val turnover: (Frs10xAccountsBoxRetriever) ⇒ AC12
    Definition Classes
      AC24 → CovidProfitAndLossValidationHelper
58.  def validate(boxRetriever: Frs10xBoxRetriever): Set[CtValidation]
    Definition Classes
      AC24 → ValidatableBox
59.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
60.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
61.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
62.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
63.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
64.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
65.  def validateBox(boxRetriever: Frs10xBoxRetriever): PartialFunction[Box, Set[CtValidation]]
    Definition Classes
      AC24 → CovidProfitAndLossValidationHelper
66.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
68.  def validateCoHoTurnover[BR <: AccountsBoxRetriever](boxRetriever: BR, start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate, secondaryIncome: Int = 0, errorSuffix: String = s".coho.turnover", minimumAmount: Option[Int] = None): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      TurnoverValidation
69.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
70.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
71.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
73.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
74.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
75.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
77.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
78.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
79.  def validateHmrcTurnover[BR <: box.retriever.BoxRetriever](boxRetriever: BR, start: (BR) ⇒ StartDate, end: (BR) ⇒ EndDate, errorSuffix: String = ".hmrc.turnover", secondaryIncome: Int = 0, minimumAmount: Option[Int] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      TurnoverValidation
80.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
81.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
83.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
84.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
85.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
86.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
88.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
89.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
92.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
93.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
94.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
95.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
    Definition Classes
      ExtraValidation
96.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
97.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
98.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
99.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
100.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
101.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
102.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
103.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
104.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
105.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
106.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
107.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
108.  def validateTurnoverOrGrossProfitOrLoss(boxRetriever: BoxRetriever): Set[CtValidation]
     Definition Classes
       CovidProfitAndLossValidationHelper
109.  def validateTurnoverRangeWithMinAndMaxMessages(box: OptionalIntIdBox, message: String, min: Int, max: Int, secondaryIncome: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       TurnoverValidation
110.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
111.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
112.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
113.  def validateZeroOrPositiveInteger(boxId: String, value: Option[Int]): Set[CtValidation]
     Definition Classes
       ExtraValidation
114.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
115.  val value: Option[Int]
     Definition Classes
       AC24 → CovidProfitAndLossValidationHelper → CtValue
116.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
117.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
118.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CovidProfitAndLossValidationHelper[Frs10xAccountsBoxRetriever]

### Inherited from TurnoverValidation

### Inherited from ValidatableBox[Frs10xAccountsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped